# ComponentDataTable (ARX GUI Documentation)

org.deidentifier.arx.gui.view.impl.common

## Class ComponentDataTable

- java.lang.Object
- - org.deidentifier.arx.gui.view.impl.common.ComponentDataTable

- All Implemented Interfaces:
    IComponent

      public class ComponentDataTable
      extends java.lang.Object
      implements IComponent

  This component displays a data table. It provides ARX-specific methods for displaying equivalence classes, research subsets and attribute types.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComponentDataTable(Controller controller, org.eclipse.swt.widgets.Composite parent)` Creates a new instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addMouseListener(org.eclipse.swt.events.MouseListener listener)` Adds a mouse listener
    `void` | `addScrollBarListener(org.eclipse.swt.widgets.Listener listener)` Adds a scroll bar listener.
    `void` | `addSelectionLayerListener(org.eclipse.nebula.widgets.nattable.layer.ILayerListener listener)` Adds a select layer listener.
    `void` | `dispose()` Disposes the control.
    `DataHandle` | `getData()` Returns the displayed data.
    `java.util.List<org.eclipse.swt.graphics.Image>` | `getHeaderImages()` Returns the list of header images.
    `org.eclipse.nebula.widgets.nattable.viewport.ViewportLayer` | `getViewportLayer()` Returns the viewport layer.
    `void` | `redraw()` Redraws the component.
    `void` | `reset()` Resets the component.
    `void` | `setData(DataHandle handle)` Sets the displayed data.
    `void` | `setEnabled(boolean val)` Enables/disables the component.
    `void` | `setGroups(int[] groups)` Sets information about equivalence classes.
    `void` | `setLayoutData(java.lang.Object data)` Sets layout data.
    `void` | `setResearchSubset(RowSet researchSubset)` Sets information about the research subset.
    `void` | `setSelectedAttribute(java.lang.String attribute)` Sets the selected attribute.
    `org.eclipse.swt.graphics.Point` | `toDisplay(int x, int y)` Translates coordinates

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ComponentDataTable

          public ComponentDataTable(Controller controller,
                            org.eclipse.swt.widgets.Composite parent)

      Creates a new instance.
      Parameters:
        `controller` -
        `parent` -

  - ### Method Detail

    - #### addMouseListener

          public void addMouseListener(org.eclipse.swt.events.MouseListener listener)

      Adds a mouse listener
      Parameters:
        `listener` -

    - #### addScrollBarListener

          public void addScrollBarListener(org.eclipse.swt.widgets.Listener listener)

      Adds a scroll bar listener.
      Parameters:
        `listener` -

    - #### addSelectionLayerListener

          public void addSelectionLayerListener(org.eclipse.nebula.widgets.nattable.layer.ILayerListener listener)

      Adds a select layer listener.
      Parameters:
        `listener` -

    - #### dispose

          public void dispose()

      Disposes the control.

    - #### getData

          public DataHandle getData()

      Returns the displayed data.
      Returns:

    - #### getHeaderImages

          public java.util.List<org.eclipse.swt.graphics.Image> getHeaderImages()

      Returns the list of header images.
      Returns:

    - #### getViewportLayer

          public org.eclipse.nebula.widgets.nattable.viewport.ViewportLayer getViewportLayer()

      Returns the viewport layer.
      Returns:

    - #### redraw

          public void redraw()

      Redraws the component.

    - #### reset

          public void reset()

      Resets the component.

    - #### setData

          public void setData(DataHandle handle)

      Sets the displayed data.
      Parameters:
        `handle` -

    - #### setEnabled

          public void setEnabled(boolean val)

      Enables/disables the component.
      Parameters:
        `val` -

    - #### setGroups

          public void setGroups(int[] groups)

      Sets information about equivalence classes.
      Parameters:
        `groups` -

    - #### setLayoutData

          public void setLayoutData(java.lang.Object data)

      Sets layout data.
      Parameters:
        `data` -

    - #### setResearchSubset

          public void setResearchSubset(RowSet researchSubset)

      Sets information about the research subset.
      Parameters:
        `researchSubset` -

    - #### setSelectedAttribute

          public void setSelectedAttribute(java.lang.String attribute)

      Sets the selected attribute.
      Parameters:
        `attribute` -

    - #### toDisplay

          public org.eclipse.swt.graphics.Point toDisplay(int x,
                                                 int y)

      Translates coordinates
      Parameters:
        `x` -
        `y` -
      Returns: